#ifndef BREAKOUT_H_
#define BREAKOUT_H_

#include <d3d9.h>


class GameObj
{
private:
	float top, left; //The x and y value of the objects top left corner
	float bottom, right;  //The x and y val of the bottom right corner
	float angle;  //the angle of muvement
	bool hit;
	D3DXVECTOR3 position;  //The screen position, the way to distinguish one object from another

public:
	GameObj();
	~GameObj();
	float getTop(void) const;
	void setTop(const float);
	float getLeft(void) const;
	void setLeft(const float);
	float getBottom(void) const;
	void setBottom(const float);
	float getRight(void) const;
	void setRight(const float);
	float getAngle(void) const;
	void setAngle(const float);
	void beenHit(void);
	void resetHit(void);
	bool isHit(void) const;
	D3DXVECTOR3 getPos(void) const;
	void setPos(D3DXVECTOR3);
};

//-----Member implementations------//
inline
GameObj::GameObj()
{
	top=0;
	left=0;
	bottom=0;
	right=0;
	angle=0;
	hit=false;
	position=D3DXVECTOR3(0,0,0);
}
inline
GameObj::~GameObj()
{
}
inline
float GameObj::getTop(void) const
{
	return top;
}
inline
void GameObj::setTop(const float f)
{
	top=f;
}
inline
float GameObj::getLeft(void) const
{
	return left;
}
inline
void GameObj::setLeft(const float f)
{
	left = f;
}
inline
float GameObj::getBottom(void) const
{
	return bottom;
}
inline
void GameObj::setBottom(const float f)
{
	bottom=f;
}
inline
float GameObj::getRight(void) const
{
	return right;
}
inline
void GameObj::setRight(const float f)
{
	right=f;
}
inline
float GameObj::getAngle(void) const
{
	return angle;
}
inline
void GameObj::setAngle(const float a)
{
	angle=a;
}
inline
void GameObj::beenHit(void)
{
	hit=true;
}
inline
void GameObj::resetHit(void)
{
	hit = false;
}
inline
bool GameObj::isHit(void) const
{
	return hit;
}
inline
D3DXVECTOR3 GameObj::getPos(void) const
{
	return position;
}
inline
void GameObj::setPos(D3DXVECTOR3 p)
{
	position=p;
}
#endif